// Animation names
#define BEAMGUN_ANIM_DEFAULT 0
#define BEAMGUN_ANIM_FIRE 1
#define BEAMGUN_ANIM_ACTIVATE 2
#define BEAMGUN_ANIM_DEACTIVATE 3
#define BEAMGUN_ANIM_WAIT01 4
#define BEAMGUN_ANIM_WAIT02 5
#define BEAMGUN_ANIM_WAIT03 6
#define BEAMGUN_ANIM_WAIT04 7

// Color names

// Patch names

// Names of collision boxes
#define BEAMGUN_COLLISION_BOX_PART_NAME 0

// Attaching position names
#define BEAMGUN_ATTACHMENT_BODY 0
#define BEAMGUN_ATTACHMENT_ROTATOR 1
#define BEAMGUN_ATTACHMENT_EFFECT01 2
#define BEAMGUN_ATTACHMENT_EFFECT02 3
#define BEAMGUN_ATTACHMENT_EFFECT03 4
#define BEAMGUN_ATTACHMENT_EFFECT04 5

// Sound names
